Skip to content
Last updated

API / geotoolkit / map / sources / Google / Google

Class: Google

sources.Google.Google

Tile source that allows user to get tiles from the server

Hierarchy

Table of contents

Constructors
  • [new Google(options)](/solutions/geotoolkit/GeoToolkit_JS/apis/classes/geotoolkit.map.sources.google.google.md#new google(options))
Methods
Css Properties
Name Type Description
imagepoolnumberThe amount of cache for the tile images
maxlodnumberThe maximum level of details for the tiles
minlodnumberThe minimum level of details for the tiles
systemstringInitial data coordinate system
tileheightnumberHeight for the tiles to use (in px)
tilewidthnumberWidth for the tiles to use (in px)
tokenstringAuthorization token (for ArcGIS tile servers if needed)
urlstringData server url

Contents

Constructors

new Google(options)

• new Google(options?)

Parameters

Name Type Description
Optional optionsOptionsoptions

Overrides

Tile.constructor

Methods

clear

▸ clear(): Google

Clears all the data.

Returns

Google

this

Inherited from

Tile.clear


dispose

▸ dispose(): void

Disposes this source, once disposed it should not be used anymore.<br>

Returns

void

Inherited from

Tile.dispose


getClassName

▸ getClassName(): string

Returns

string

Inherited from

Tile.getClassName


getCopyright

▸ getCopyright(): string

Returns copyright information.

Returns

string

Inherited from

Tile.getCopyright


getDataLoader

▸ Protected getDataLoader(): AbstractLoader

Returns server data loader (if exists)

Returns

AbstractLoader

Inherited from

Tile.getDataLoader


getInitialCoordinateSystem

▸ getInitialCoordinateSystem(): AbstractSystem

Gets current data initial coordinate system.

Returns

AbstractSystem

Inherited from

Tile.getInitialCoordinateSystem


getMapCoordinateSystem

▸ getMapCoordinateSystem(): AbstractSystem

Gets current map coordinate system.

Returns

AbstractSystem

Inherited from

Tile.getMapCoordinateSystem


getModelLimits

▸ getModelLimits(): Rect

Returns the current data model limits (presumably loaded from the server if it's settled)

Returns

Rect

Inherited from

Tile.getModelLimits


getProperties

▸ getProperties(): OptionsOut

Returns properties

Returns

OptionsOut

options

Inherited from

Tile.getProperties


getServerData

▸ getServerData(): JSONObject | XMLDocument

Returns server data loaded from the server Should be used asynchronically after loadServerData() method is called

Returns

JSONObject | XMLDocument

Inherited from

Tile.getServerData


getServerURL

▸ getServerURL(): string | string[]

Gets the server url that is currently used for requests

Returns

string | string[]

server url

Inherited from

Tile.getServerURL


getTransformerFromMap

▸ getTransformerFromMap(): Transformer

Gets transformer to transform data from map coordinate system

Returns

Transformer

Inherited from

Tile.getTransformerFromMap


getTransformerToMap

▸ getTransformerToMap(): Transformer

Gets transformer to transform data to map coordinate system

Returns

Transformer

Inherited from

Tile.getTransformerToMap


hasEventListener

▸ hasEventListener(type, callback?): boolean

Check if a list of event listeners for this type contains this listener

Parameters

Name Type Description
typestringtype of event or property
Optional callbackFunctionto be called, if null, check if any callback is registered

Returns

boolean

Inherited from

Tile.hasEventListener


initLoader

▸ Protected initLoader(loader?): Google

Initializes the loader provided

Parameters

Name Type Description
Optional loaderAbstractLoaderloader to use

Returns

Google

this

Inherited from

Tile.initLoader


isDataLoaded

▸ isDataLoaded(): boolean

Returns true if server data is already loaded (or no loader provided)

Returns

boolean

Inherited from

Tile.isDataLoaded


isDataReady

▸ isDataReady(): boolean

Checks if source (current visible) data is loaded and ready to be rendered

Returns

boolean

Inherited from

Tile.isDataReady


isDisposed

▸ isDisposed(): boolean

Returns whether this object has been disposed

Returns

boolean

Inherited from

Tile.isDisposed


isLoading

▸ isLoading(): boolean

Checks if some of the requests haven't been finished yet. Returns true if some data is loading, false otherwise.

Returns

boolean

Inherited from

Tile.isLoading


isSilent

▸ isSilent(): boolean

Return true if the event dispatcher doesn't notify any events

Returns

boolean

Inherited from

Tile.isSilent


loadServerData

▸ loadServerData(): Promise<Google&gt;

Returns promise that is loaded when server settings are ready to process

Returns

Promise<Google&gt;

Inherited from

Tile.loadServerData


loadSourceData

▸ loadSourceData(): Promise<AbstractSource&gt;

Returns promise that is resolving when data are ready to process

Returns

Promise<AbstractSource&gt;

Inherited from

Tile.loadSourceData


notify

▸ notify<E&gt;(type, source, args?): Google

Notify listeners

Type parameters

NameType
Eextends string

Parameters

Name Type Description
typeEevent types
sourceTileof the event
Optional argsEventMap[E]arguments of the event

Returns

Google

this

Inherited from

Tile.notify


off

▸ off<E&gt;(type?, callback?): Google

Detach listener on event. Calling .off() with no arguments removes all attached listeners. Calling .off(type) with no callback removes all attached listeners for specific type.

Type parameters

NameType
Eextends string

Parameters

Name Type Description
Optional typeEtype of the event
Optional callback(eventType: E, sender: Google, args: EventMap[E]) => voidfunction to be called

Returns

Google

this

Inherited from

Tile.off


on

▸ on<E&gt;(type, callback): Google

Attach listener on event that will be called whenever the specified event is delivered to the target <p> If the callback function is already in the list of event listeners for this target, the function is not added a second time. </p> <p> If a particular anonymous function is in the list of event listeners registered for a certain target, and then later in the code, an identical anonymous function is given in an "on" call, the second function will also be added to the list of event listeners for that target. </p>

Type parameters

NameType
Eextends string

Parameters

Name Type Description
typeEtype of event or property
callback(eventType: E, sender: Google, args: EventMap[E]) => voidto be called

Returns

Google

this

Inherited from

Tile.on


resetLastQueryParams

▸ Protected resetLastQueryParams(): Google

Resets saved last queried limits and layer

Returns

Google

this

Inherited from

Tile.resetLastQueryParams


setDataReady

▸ Protected setDataReady(isReady, err?): Google

Sets source (current visible) data ready/not ready, changes the corresponding promise

Parameters

Name Type Description
isReadybooleantrue if source data was loaded, false if it needs to be reset
Optional errErrordata loading error (if exists)

Returns

Google

this

Inherited from

Tile.setDataReady


setInitialCoordinateSystem

▸ setInitialCoordinateSystem(system): Google

Sets the data initial coordinate system.

Parameters

Name Type Description
systemstring | AbstractSysteminitial coordinate system

Returns

Google

this

Inherited from

Tile.setInitialCoordinateSystem


setMapCoordinateSystem

▸ setMapCoordinateSystem(system): Google

Sets map coordinate system.

Parameters

Name Type Description
systemstring | AbstractSystemmap coordinate system

Returns

Google

this

Inherited from

Tile.setMapCoordinateSystem


setProperties

▸ setProperties(properties?): Google

Sets properties (default properties listed are for construction time only)

Parameters

Name Type Description
Optional propertiesOptionsoptions

Returns

Google

this

Inherited from

Tile.setProperties


setQueryParameter

▸ setQueryParameter(param, value?): Google

Sets custom query parameter to add to the data requests

Parameters

Name Type Description
paramstring | Record<string, string | number&gt;parameter name or custom parameters object (in name -> value format)
Optional valuestring | numberparameter value

Returns

Google

this

Inherited from

Tile.setQueryParameter


setServerURL

▸ setServerURL(url): Google

Sets the server url to use for requesting

Parameters

Name Type Description
urlstring | string[]server url

Returns

Google

this

Inherited from

Tile.setServerURL


setSilent

▸ setSilent(bool): Google

Set silent mode

Parameters

Name Type Description
boolbooleanflag to enable silent mode

Returns

Google

this

Inherited from

Tile.setSilent


update

▸ update(): Google

Aborts all the sent requests, resends the last one

Returns

Google

this

Inherited from

Tile.update


getClassName

▸ Static getClassName(): string

Returns

string

Inherited from

Tile.getClassName